%define upstream_name    Object-Event
%define upstream_version 1.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A class that provides an event callback interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Object/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(common::sense)
BuildArch: noarch

%description
This module was mainly written for the AnyEvent::XMPP manpage, the
AnyEvent::IRC manpage, the AnyEvent::HTTPD manpage and the BK manpage to
provide a consistent API for registering and emitting events. Even though I
originally wrote it for those modules I released it separately in case
anyone may find this module useful.

For more comprehensive event handling see also the Glib manpage and the POE
manpage.

This class provides a simple way to extend a class, by inheriting from this
class, with an event callback interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.230.0-3.mga4
+ Revision: 513635
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.230.0-2.mga3
+ Revision: 371094
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 08 2011 kharec <kharec> 1.230.0-1.mga2
+ Revision: 179331
- imported package perl-Object-Event


* Thu Dec 08 2011 cpan2dist 1.23-1mga
- initial mageia release, generated with cpan2dist
